﻿using System;
using System.Drawing;
using System.Drawing.Imaging;
using System.Drawing.Drawing2D;

namespace BlasterMaster
{

    //   - Blaster Master Class -
    // Purpose:      Super class (common generic attributes used throughout entire game)
    // Rev:          1.0
    // Last updated: 12/03/10

    public class clsCommon
    {
        // Properties for this class 
        private int X;
        private int Y;
        private int H;
        private int W;

        // Obj refs and instances
        private Rectangle rect = new Rectangle();

        public clsCommon(int X, int Y, int W, int H)
        {
            //------------------------------------------------------------------------------------------------------------------
            // Purpose: Class constructor  
            //------------------------------------------------------------------------------------------------------------------

            this.X = X;
            this.Y = Y;
            this.H = H;
            this.W = W;

        }

        public void setY(int Y)
        {
            //------------------------------------------------------------------------------------------------------------------
            // Purpose: Mutator (set y axis) 
            //------------------------------------------------------------------------------------------------------------------

            this.Y = Y;
        }

        public void setX(int X)
        {
            //------------------------------------------------------------------------------------------------------------------
            // Purpose: Mutator (set x axis)   
            //------------------------------------------------------------------------------------------------------------------

            this.X = X;

        }

        public int getY()
        {
            //------------------------------------------------------------------------------------------------------------------
            // Purpose: Accessor (fetch y axis)  
            //------------------------------------------------------------------------------------------------------------------

            return this.Y;

        }

        public int getX()
        {
            //------------------------------------------------------------------------------------------------------------------
            // Purpose: Accessor (fetch x axis)  
            //------------------------------------------------------------------------------------------------------------------

            return this.X;

        }

        public int getW()
        {
            //------------------------------------------------------------------------------------------------------------------
            // Purpose: Accessor (fetch width)  
            //------------------------------------------------------------------------------------------------------------------

            return this.W;

        }

        public int getH()
        {
            //------------------------------------------------------------------------------------------------------------------
            // Purpose: Accessor (fetch height)  
            //------------------------------------------------------------------------------------------------------------------

            return this.H;

        }

        public void setH(int H)
        {
            //------------------------------------------------------------------------------------------------------------------
            // Purpose: Mutator (set height)   
            //------------------------------------------------------------------------------------------------------------------

            this.H = H;

        }

        public void setW(int W)
        {
            //------------------------------------------------------------------------------------------------------------------
            // Purpose: Mutator (set width)  
            //------------------------------------------------------------------------------------------------------------------

            this.W = W;

        }

        public void setRectX(int X)
        {
            //------------------------------------------------------------------------------------------------------------------
            // Purpose: Mutator (set collision rect x)   
            //------------------------------------------------------------------------------------------------------------------

            this.rect.X = X;

        }

        public int getRectX()
        {
            //------------------------------------------------------------------------------------------------------------------
            // Purpose: Accessor (fetch collision rect x axis) 
            //------------------------------------------------------------------------------------------------------------------

            return this.rect.X;

        }

        public void setRectY(int Y)
        {
            //------------------------------------------------------------------------------------------------------------------
            // Purpose: Mutator (set collision rect y)  
            //------------------------------------------------------------------------------------------------------------------

            this.rect.Y = Y;

        }

        public int getRectY()
        {
            //------------------------------------------------------------------------------------------------------------------
            // Purpose: Accessor (fetch collision rect y axis) 
            //------------------------------------------------------------------------------------------------------------------

            return this.rect.Y;

        }

        public void setRectW(int W)
        {
            //------------------------------------------------------------------------------------------------------------------
            // Purpose: Mutator (set collision rect width) 
            //------------------------------------------------------------------------------------------------------------------

            this.rect.Width = W;

        }

        public int getRectW()
        {
            //------------------------------------------------------------------------------------------------------------------
            // Purpose: Accessor (fetch collision rect width) 
            //------------------------------------------------------------------------------------------------------------------

            return this.rect.Width;

        }

        public void setRectH(int H)
        {
            //------------------------------------------------------------------------------------------------------------------
            // Purpose: Mutator (set collision rect height)  
            //------------------------------------------------------------------------------------------------------------------

            this.rect.Height = H;

        }

        public int getRectH()
        {
            //------------------------------------------------------------------------------------------------------------------
            // Purpose: Accessor (fetch collision rect height)  
            //------------------------------------------------------------------------------------------------------------------

            return this.rect.Height;

        }
    }
}
